# Generated from grover-1.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name grover

Name: rubygem-%{gem_name}
Version: 1.0.5
Release: 1%{?dist}
Summary: A Ruby gem to transform HTML into PDF, PNG or JPEG by wrapping the NodeJS Google Puppeteer driver for Chromium
License: MIT
URL: https://github.com/Studiosity/grover
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
BuildRequires: ruby < 3.1.0
# BuildRequires: rubygem(mini_magick) >= 4.9
# BuildRequires: rubygem(mini_magick) < 5
# BuildRequires: rubygem(pdf-reader) >= 2.2
# BuildRequires: rubygem(pdf-reader) < 3
# BuildRequires: rubygem(rack-test) >= 1.1
# BuildRequires: rubygem(rack-test) < 2
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.72
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.33
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) >= 0.17
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(simplecov) < 0.18
BuildArch: noarch

%description
Transform HTML into PDF/PNG/JPEG using Google Puppeteer/Chromium.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.5-1
- Initial package
